com.h3c.dist.sync

## Enum SyncServiceCreateMode

- java.lang.Object
- - java.lang.Enum<SyncServiceCreateMode>
  - - com.h3c.dist.sync.SyncServiceCreateMode

- All Implemented Interfaces:
    Serializable, Comparable<SyncServiceCreateMode>

      public enum SyncServiceCreateMode
      extends Enum<SyncServiceCreateMode>

  Different modes of a distributed services node creation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EPHEMERAL` The node will be deleted upon the SyncService's disconnect.
    `EPHEMERAL_SEQUENTIAL` The node will be deleted upon the SyncService's disconnect, and its name will be appended with a monotonically increasing number.
    `PERSISTENT` The node will not be automatically deleted upon SyncService's disconnect.
    `PERSISTENT_SEQUENTIAL` The node will not be automatically deleted upon SyncService's disconnect, and its name will be appended with a monotonically increasing number.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncServiceCreateMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SyncServiceCreateMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERSISTENT

          public static final SyncServiceCreateMode PERSISTENT

      The node will not be automatically deleted upon SyncService's disconnect.

    - #### PERSISTENT_SEQUENTIAL

          public static final SyncServiceCreateMode PERSISTENT_SEQUENTIAL

      The node will not be automatically deleted upon SyncService's disconnect, and its name will be appended with a monotonically increasing number.

    - #### EPHEMERAL

          public static final SyncServiceCreateMode EPHEMERAL

      The node will be deleted upon the SyncService's disconnect.

    - #### EPHEMERAL_SEQUENTIAL

          public static final SyncServiceCreateMode EPHEMERAL_SEQUENTIAL

      The node will be deleted upon the SyncService's disconnect, and its name will be appended with a monotonically increasing number.

  - ### Method Detail

    - #### values

          public static SyncServiceCreateMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyncServiceCreateMode c : SyncServiceCreateMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyncServiceCreateMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.